package com.huimv.receive.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huimv.receive.common.utils.Result;
import com.huimv.receive.entity.BaseWashoutPoint;
import com.huimv.receive.entity.vo.WashOutVo;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author author
 * @since 2024-03-06
 */
public interface IBaseWashoutPointService extends IService<BaseWashoutPoint> {
    Result list(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);

    Result add(HttpServletRequest httpServletRequest, WashOutVo washOutVo);

    Result delete(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);

    Result listDest(Map<String, String> paramsMap);

    Result listWash(Map<String, String> paramsMap);
}
